Skip to main content
PUT
/
github-settings
/
{id}
Python
import os
from qaip import Qaip

client = Qaip(
    api_key=os.environ.get("QAIP_API_KEY"),  # This is the default and can be omitted
)
github_setting = client.githubs.update_setting(
    id="id",
    name="name",
)
print(github_setting.id)
{
  "id": "<string>",
  "name": "<string>",
  "repository": "<string>",
  "path_filters": [
    "<string>"
  ],
  "reference_type": "default",
  "reference_param": "<string>",
  "rrule": "<string>",
  "secret_id": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

id
string
required

Ingestion setting ID for the GitHub data source

Body

application/json
name
string
required

Name of the GitHub data source

Maximum string length: 200
rrule
string

Recurrence rule (RFC 5545 RRULE). Empty string or omission removes the existing schedule.

Response

Successfully updated GitHub setting

id
string
required

GitHub ingestion setting ID

name
string
required

Name of the GitHub ingestion setting

repository
string
required

GitHub repository in owner/repo format (e.g. "octocat/Hello-World")

path_filters
string[]
reference_type
enum<string>

Git reference type

Available options:
default,
branch,
tag,
commit
reference_param
string

Reference parameter (branch name, tag name, or commit hash)

rrule
string

Recurrence rule (RFC 5545 RRULE)

secret_id
string

ID of the associated secret